import '../style/style';
import '../style/index';
import $ from 'jquery';
$(document).ready(function() {
  const shareTask = window.sessionStorage.getItem('shareTask');
  if(!shareTask) {
    window.location.href="/login.html";
    return false;
  }
  const boardUrl = JSON.parse(shareTask).boardUrl;
  const desktopUrl = JSON.parse(shareTask).desktopUrl;
  let bigVideo = new ChimeePlayer({
    wrapper: '#bigVideo',  // video dom容器
    src: boardUrl,
    box: 'hls',
    isLive: true,
    autoplay: true,
    muted: false
  });
  let smallVideo = new ChimeePlayer({
    wrapper: '#smallVideo',  // video dom容器
    src: desktopUrl,
    box: 'hls',
    isLive: true,
    autoplay: true,
    muted: true
  });
  $('#smallVideo').click(function () {
    $('#bigVideo').removeClass('big-video').addClass('small-video');
    $('#smallVideo').removeClass('small-video').addClass('big-video');
    smallVideo.muted = false;
    bigVideo.muted = true;
  })
  $('#bigVideo').click(function () {
    $('#bigVideo').removeClass('small-video').addClass('big-video');
    $('#smallVideo').removeClass('big-video').addClass('small-video');
    smallVideo.muted = true;
    bigVideo.muted = false;
  })
})
